#!/usr/bin/python
# Generate dat files to perform a batch of tasks

cpus = [0,1,2,3,4]
gpus = [0,1,2,3,4]
nts = [200]

start = 50
points = 201


def createdat(c, g, n):
    fname = str(c)+"c_"+str(g)+"g_"+str(n)+"n.dat"
    print "create", fname
    cpu = "1" if c else "0"
    f = open(fname, 'w')
    f.write((str(start+points-1)+" ")*2 + "150 problemsize\n")  # n
    f.write("1.0 1.0 1.0\n")              # d
    f.write(str(n)+" nts\n")              # nts
    f.write(cpu+" CPU\n")                 # cpu
    f.write(str(c)+" OpenMP\n")           # omp
    f.write(str(g)+" CUDA\n")             # cuda
    f.write(str(points)+" number of tasks\n")       # tasks

    f.close()

num = 0
for c in cpus:
    for g in gpus:
        for n in nts:
            if c == 0 and g == 0:
                continue
            num += 1
            createdat(c, g, n)
print "csvs", num
